如沐博客-互联网观察者

致力于互联网产业的发展

« 宝塔面板修改composer默认PHP版本

Linux安装Composer

 Composer是php的一个包管理器,使用Composer能极大的提高我们的代码效率。当我们需要使用优雅的laraverl框架时我们一定不能绕过Composer当然Composer不是只为laravel服务的,他是为整个php服务的。(Composer需要php5.3.2以上才能运行)

  1. 下载Composer包

    curl -sS https://getcomposer.org/installer | php
  2. 安装Compose

    mv composer.phar /usr/local/bin/composer
  3. 查看安装Composer是否成功

    composer -v
  4. 如果出现版本号说明安装成功。

  5. 设置中国镜像

    composer config -g repo.packagist composer https://packagist.phpcomposer.com

镜像原理:

一般情况下,安装包的数据(主要是 zip 文件)一般是从 github.com 上下载的,安装包的元数据是从 packagist.org 上下载的。 
然而,由于众所周知的原因,国外的网站连接速度很慢,并且随时可能被“墙”甚至“不存在”。 
“Packagist 中国全量镜像”所做的就是缓存所有安装包和元数据到国内的机房并通过国内的 CDN 进行加速,这样就不必再去向国外的网站发起请求,从而达到加速 composer install 以及 composer update 的过程,并且更加快速、稳定。因此,即使 packagist.org、github.com 发生故障(主要是连接速度太慢和被墙),你仍然可以下载、更新安装包。

  • 相关文章:

发表评论:

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。

日历

最新评论及回复

最近发表

Copyright 2010-2018 25230.NET All Rights Reserved.